#
# spec file for package rsaref (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rsaref
License:        Other License(s), see package
Group:          Productivity/Security
Provides:       rsaref
Autoreqprov:    on
Version:        2.0
Release:        521.2
Summary:        RSA Reference Implementation
Source:         rsaref-2.0.tar.gz
Patch0:         rsaref-optflags.patch
Patch1:         rsaref-codecleanup.patch
Patch2:         rsaref-init_local_var.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RSAREF supports the following algorithms:

o    RSA encryption and key generation [1], as defined by RSA
Laboratories' Public-Key Cryptography Standards (PKCS) [2]

o    MD2 and MD5 message digests [3,4]

o    DES (Data Encryption Standard) in cipher-block chaining mode [5,6]

o    Diffie-Hellman key agreement [7], as defined by PKCS #3 [8]

o    DESX, RSA Data Security's efficient, secure DES enhancement

o    Triple-DES, for added security with three DES operations



%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%{?suse_update_config:%{suse_update_config -f }}

%build
cp -rp install/unix local
pushd local
	make XCFLAGS="%{optflags}"
	mv rsaref.a ../librsaref.a
	strip librsaref.so
	mv librsaref.so ../
popd

%install
mkdir -p %{buildroot}%{_includedir}/%{name}/
install -m 444 source/rsaref.h source/md2.h source/md5.h source/des.h \
	%{buildroot}%{_includedir}/%{name}/
mkdir -p %{buildroot}%{_libdir}
install -m 444 librsaref.a %{buildroot}%{_libdir}/
install -m 555 librsaref.so %{buildroot}%{_libdir}/librsaref.so.%{version}
ln -s librsaref.so.%{version} %{buildroot}%{_libdir}/librsaref.so
ldconfig -l %{buildroot}%{_libdir}/librsaref.so.%{version}
mkdir -p %{buildroot}%{_bindir}
%ifarch sparc
	install -m 755 rsacheck-sun-os %{buildroot}%{_bindir}
	echo "%{_bindir}/rsacheck-sun-os" > filelist
%else
	touch filelist
%endif
install -m 755 local/dhdemo %{buildroot}%{_bindir}/dhdemo
install -m 755 local/dhdemo %{buildroot}%{_bindir}/rdemo

%clean
rm -rf %{buildroot}

%files -f filelist
%doc doc readme.sig readme.txt
%{_libdir}/librsaref.*
%{_includedir}/%{name}
%{_bindir}/dhdemo
%{_bindir}/rdemo

%changelog -n rsaref
* Mon Mar 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Mar 27 2006 - pth@suse.de
- Fix use of uninitialized local vars (bugzilla #134186)
* Wed Jun 18 2003 - coolo@suse.de
- use BuildRoot
* Thu May 25 2000 - rolf@suse.de
- patch to make it work in 64 bit architectures as well
* Thu May 25 2000 - rolf@suse.de
- initial package
- patch makefile to create shared libs
